# Interface methods for submodule: LineSpatialObjectPoint
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SpatialObjectPointProxy as _SpatialObjectPointProxy


# Interface methods for class: LineSpatialObjectPoint
class LineSpatialObjectPointProxy(_SpatialObjectPointProxy):
	def GetNormalInObjectSpace(self, index: int) -> Sequence[float]:
		""""""
		...

	def SetNormalInObjectSpace(self, normal: Sequence[float], index: int) -> None:
		""""""
		...

